Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Apr 2023 08:19:52 +0300

> Date: Fri, 28 Apr 2023 02:51:19 +0300
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > We can say something like "Currently, ..." to make that clear.
> 
> Very good, I've used that and an additional clarification for a 
> recommended alternative. Please see how you like it, or whether it needs 
> improving.

I've made a few minor improvements, thanks.

> Before the next pretest is cut, I'd also like to bring up the question 
> again of backporting the patch for bug#62816 (with Joao's support: 
> previously mentioned in 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62720#517, for example).
> 
> It improves the part of Eldoc that is not used by default 
> (eldoc-documentation-strategy has a different value) but which is used 
> by Eglot since it changes that variable in its managed buffers.

That patch didn't yet accumulate enough time for me to consider it
safe for the release branch.  Depending on when Emacs 29.1 is released
and whether we hear some downsides of the change, it could need to
wait for Emacs 29.2 or for Emacs 30.1.